Subject: bug#24048: 25.0.95; syntax-ppss can be slow

From: Dmitry Gutov <[email-masked]>
Date: Sun, 5 Dec 2021 03:13:27 +0300

On 04.12.2021 19:27, Aaron Jensen wrote:
> On Sat, Dec 4, 2021 at 9:40 AM Dmitry Gutov <[email-masked]> wrote:
>>
>> On 04.12.2021 04:31, Aaron Jensen wrote:
>>> I'm not presently affected by
>>> this (no smartparens and no elixir)
>>
>> No Ruby either?
> 
> I do use Ruby with enh-ruby-mode. I haven't noticed enough typing lag
> for me to investigate. Why do you ask?

You mentioned Ruby previously. If you had identified particular 
performance problems with ruby-mode, we could try to fix it there (even 
if there's not much to be done in syntax-ppss).

enh-ruby-mode is a different matter, though.